SUSE: 2022:3018-1 bci/openjdk Security Update | LinuxSecurity.com
SUSE Container Update Advisory: bci/openjdk
-----------------------------------------------------------------
Container Advisory ID : SUSE-CU-2022:3018-1
Container Tags        : bci/openjdk:11 , bci/openjdk:11-32.29 , bci/openjdk:latest
Container Release     : 32.29
Severity              : moderate
Type                  : security
References            : 1204179 1204422 1204425 1204968 CVE-2022-3554 CVE-2022-3555 CVE-2022-3821
-----------------------------------------------------------------

The container bci/openjdk was updated. The following patches have been included in this update:

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3986-1
Released:    Tue Nov 15 12:57:41 2022
Summary:     Security update for libX11
Type:        security
Severity:    moderate
References:  1204422,1204425,CVE-2022-3554,CVE-2022-3555
This update for libX11 fixes the following issues:

  - CVE-2022-3554: Fixed memory leak in XRegisterIMInstantiateCallback() (bsc#1204422).
  - CVE-2022-3555: Fixed memory leak in _XFreeX11XCBStructure() (bsc#1204425).

-----------------------------------------------------------------
Advisory ID: SUSE-SU-2022:3999-1
Released:    Tue Nov 15 17:08:04 2022
Summary:     Security update for systemd
Type:        security
Severity:    moderate
References:  1204179,1204968,CVE-2022-3821
This update for systemd fixes the following issues:

- CVE-2022-3821: Fixed buffer overrun in format_timespan() function (bsc#1204968).

- Import commit 0cd50eedcc0692c1f907b24424215f8db7d3b428
  * 0469b9f2bc pstore: do not try to load all known pstore modules
  * ad05f54439 pstore: Run after modules are loaded
  * ccad817445 core: Add trigger limit for path units
  * 281d818fe3 core/mount: also add default before dependency for automount mount units
  * ffe5b4afa8 logind: fix crash in logind on user-specified message string

- Document udev naming scheme (bsc#1204179)
- Make 'sle15-sp3' net naming scheme still available for backward compatibility
  reason


The following package changes have been done:

- libsystemd0-249.12-150400.8.13.1 updated
- libX11-data-1.6.5-150000.3.24.1 updated
- libX11-6-1.6.5-150000.3.24.1 updated
- container:sles15-image-15.0.0-27.14.14 updated

SUSE: 2022:3018-1 bci/openjdk Security Update

November 17, 2022
The container bci/openjdk was updated

Summary

Advisory ID: SUSE-SU-2022:3986-1 Released: Tue Nov 15 12:57:41 2022 Summary: Security update for libX11 Type: security Severity: moderate Advisory ID: SUSE-SU-2022:3999-1 Released: Tue Nov 15 17:08:04 2022 Summary: Security update for systemd Type: security Severity: moderate

References

References : 1204179 1204422 1204425 1204968 CVE-2022-3554 CVE-2022-3555 CVE-2022-3821

1204422,1204425,CVE-2022-3554,CVE-2022-3555

This update for libX11 fixes the following issues:

- CVE-2022-3554: Fixed memory leak in XRegisterIMInstantiateCallback() (bsc#1204422).

- CVE-2022-3555: Fixed memory leak in _XFreeX11XCBStructure() (bsc#1204425).

1204179,1204968,CVE-2022-3821

This update for systemd fixes the following issues:

- CVE-2022-3821: Fixed buffer overrun in format_timespan() function (bsc#1204968).

- Import commit 0cd50eedcc0692c1f907b24424215f8db7d3b428

* 0469b9f2bc pstore: do not try to load all known pstore modules

* ad05f54439 pstore: Run after modules are loaded

* ccad817445 core: Add trigger limit for path units

* 281d818fe3 core/mount: also add default before dependency for automount mount units

* ffe5b4afa8 logind: fix crash in logind on user-specified message string

- Document udev naming scheme (bsc#1204179)

- Make 'sle15-sp3' net naming scheme still available for backward compatibility

reason

The following package changes have been done:

- libsystemd0-249.12-150400.8.13.1 updated

- libX11-data-1.6.5-150000.3.24.1 updated

- libX11-6-1.6.5-150000.3.24.1 updated

- container:sles15-image-15.0.0-27.14.14 updated

Severity
Container Advisory ID : SUSE-CU-2022:3018-1
Container Tags : bci/openjdk:11 , bci/openjdk:11-32.29 , bci/openjdk:latest
Container Release : 32.29
Severity : moderate
Type : security

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.